Add the ability to run test patterns. (#454)

Signed-off-by: dblock <dblock@amazon.com>
This commit is contained in:
Daniel (dB.) Doubrovkine
2023-07-26 12:18:45 -05:00
committed by GitHub
parent 42852d0d53
commit e022932ed1
9 changed files with 72 additions and 49 deletions
+1 -1
View File
@@ -28,7 +28,7 @@ if [[ -z $opensearch_node_name ]]; then
fi
export script_path=$(dirname $(realpath -s $0))
export script_path=$(dirname $(realpath $0))
source $script_path/functions/cleanup.sh
source $script_path/functions/wait-for-container.sh
trap "cleanup_trap ${network_name}" EXIT
+1 -1
View File
@@ -24,7 +24,7 @@
# Bootstrap
# ------------------------------------------------------- #
script_path=$(dirname "$(realpath -s "$0")")
script_path=$(dirname "$(realpath "$0")")
repo=$(realpath "$script_path/../")
# shellcheck disable=SC1090
+1 -1
View File
@@ -5,7 +5,7 @@
#
# Export the NUMBER_OF_NODES variable to start more than 1 node
script_path=$(dirname $(realpath -s $0))
script_path=$(dirname $(realpath $0))
source $script_path/functions/imports.sh
set -euo pipefail
+3
View File
@@ -38,7 +38,10 @@ docker run \
--env "TEST_SUITE=${TEST_SUITE}" \
--env "PYTHON_CONNECTION_CLASS=${PYTHON_CONNECTION_CLASS}" \
--env "TEST_TYPE=server" \
--env "TEST_PATTERN=${TEST_PATTERN}" \
--name opensearch-py \
--rm \
opensearch-project/opensearch-py \
python setup.py test
unset TEST_PATTERN
+2 -1
View File
@@ -9,6 +9,7 @@ export PYTHON_CONNECTION_CLASS="${PYTHON_CONNECTION_CLASS:=Urllib3HttpConnection
export CLUSTER="${CLUSTER:-opensearch}"
export SECURE_INTEGRATION="${1:-false}"
export OPENSEARCH_VERSION="${2:-latest}"
export TEST_PATTERN="${3:-}"
if [[ "$SECURE_INTEGRATION" == "true" ]]; then
export OPENSEARCH_URL_EXTENSION="https"
else
@@ -21,7 +22,7 @@ if [[ "$OPENSEARCH_VERSION" == *"SNAPSHOT" ]]; then
fi
echo -e "\033[1m>>>>> Unreleased is $IS_UNRELEASED >>>>>>>>>>>>>>>>>>>>>>>>>>>>>\033[0m"
script_path=$(dirname $(realpath -s $0))
script_path=$(dirname $(realpath $0))
source $script_path/functions/imports.sh
set -euo pipefail